Skip to content
Check your BPMN diagrams for common issues
JavaScript
Branch: master
Clone or download
Latest commit eb0131d Sep 8, 2019

README.md

camunda-modeler-linter-plugin

Compatible with Camunda Modeler version 3.3

bpmnlint as a plugin for the Camunda Modeler.

Screenshot of the plug-in

Overriding Provided Rules

This plug-ins uses the recommended bpmnlint rules.

You may override this via your own Camunda Modeler client plug-in as shown below:

import {
  registerBpmnJSPlugin
} from 'camunda-modeler-plugin-helpers';

import customLinterConfig from './.bpmnlintrc';

registerBpmnJSPlugin({
  __init__: [
    function(linting) {
      linting.setLinterConfig(customLinterConfig);
    }
  ]
});

Please note that you must use the bpmnlint-loader to bundle your .bpmnlintrc for usage in the browser.

For a complete example, checkout the custom-linter-rules-plugin that accomplishes this.

Licence

MIT

You can’t perform that action at this time.